package com.nvarghese.jboss.testappone.jms;

import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestQueueListener implements MessageListener {

	private final Logger logger = LoggerFactory
			.getLogger(TestQueueListener.class);

	@Override
	public void onMessage(Message message) {

		try {

			logger.info(
					"New Message received in the request queue listner with Jms Message Id {}",
					message.getJMSMessageID());

		} catch (JMSException e) {
			logger.error(
					"Unable to get the detail of the new message received in Order Request Queue. ",
					e);
		}
	}

}
